/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.field.model;

import org.openide.util.NbBundle;

/**
 *
 * @author johan
 */
@NbBundle.Messages({
    "OnOff.label.On=On",
    "OnOff.label.Off=Off"
})
public enum OnOff {
    ON(1.0, "OnOff.label.On"),
    OFF(0.0, "OnOff.label.Off");
    
    private double treatmentZoneValue;
    private String labelKey;

    private OnOff(double treatmentZoneValue, String labelKey) {
        this.treatmentZoneValue = treatmentZoneValue;
        this.labelKey = labelKey;
    }
    
    public String getName() {
        return NbBundle.getMessage(OnOff.class, labelKey);
    }

    public double getTreatmentZoneValue() {
        return treatmentZoneValue;
    }
    
    public static OnOff find(Double value) {
        if (value == null) { return null; }
        for (OnOff oo : OnOff.values()) {
            if (oo.getTreatmentZoneValue() == value) {
                return oo;
            }
        }
        return null;
    }
}
